package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;

/**
 * Builder class for input type Customer {@link InputType#CUSTOMER}
 */
public class CustomerInputBuilder extends AbstractProductAndCustomerInputBuilder<CustomerInputBuilder,String> {

    private Boolean defaultFromParent;

    public CustomerInputBuilder(InputBuilderContext builderContext, String paramName) {
        super(builderContext, InputType.CUSTOMER, paramName);
    }

    public CustomerInputBuilder setDefaultFromParent(Boolean defaultFromParent) {
        this.defaultFromParent = defaultFromParent;
        return this;
    }

}
