package net.pricefx.common.api;

public enum PublishingTemplateResultType {
	EXCEL("Excel", "xlsx"), PDF("PDF", "pdf"), WORD("Word", "docx"), SIGNATURE("Signature", "*"), ALL("All", "*");

	private String extension;
	private String name;

	PublishingTemplateResultType (String name, String extension) {
		this.name = name;
		this.extension = extension;
	}

	public String getExtension() {
		return extension;
	}

	public String getName() { return name; }
}
