package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;
import net.pricefx.server.dto.calculation.ContextParameter;

public class RowInputBuilder<T> extends AbstractInputBuilder<RowInputBuilder,T> {
    public RowInputBuilder(InputBuilderContext builderContext, String name) {
        super(builderContext, InputType.ROW, name);
    }

    @Override
    protected Object _getInput() {
        return null;
    }

    public RowInputBuilder<T> addInput(ContextParameter contextParameter) {
        cp.addInput(contextParameter);
        return this;
    }
}
